Skip to main content
`Ctrl`+`K`

# RGIntervalSetEndpoints

Sets the parameters defining the interval region.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGIntervalSetEndpoints(RG rg,PetscReal a,PetscReal b,PetscReal c,PetscReal d)

Logically Collective

## Input Parameters

- rg - the region context

- a - left endpoint of the interval in the real axis

- b - right endpoint of the interval in the real axis

- c - bottom endpoint of the interval in the imaginary axis

- d - top endpoint of the interval in the imaginary axis

## Options Database Key

- -rg_interval_endpoints <a,b,c,d> - comma-separated list of values (two or four)

## Note

The region is defined as \([a,b]\times[c,d]\). Particular cases are an interval on the real axis (\(c=d=0\)), similarly for the imaginary axis (\(a=b=0\)), the whole complex plane (\(a=-\infty,b=\infty,c=-\infty,d=\infty\)), and so on.

When PETSc is built with real scalars, the region must be symmetric with respect to the real axis.

## See Also

RG: Region, `RGINTERVAL`, `RGIntervalGetEndpoints()`

## Level

advanced

## Location

src/sys/classes/rg/impls/interval/rginterval.c

## Examples

src/nep/tutorials/ex27.c
src/nep/tutorials/ex42.c
src/nep/tutorials/ex27f.F90
src/eps/tutorials/ex30.c

## Implementations

RGIntervalSetEndpoints_Interval() in src/sys/classes/rg/impls/interval/rginterval.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages